# Update

Launch stage: Public Preview

`PATCH /api/2.0/lineage-tracking/external-metadata/{external_metadata.name}`

Updates the external metadata object that matches the supplied name. The caller can only update either the owner or other metadata fields in one request.
 The caller must be a metastore admin, the owner of the external metadata object, or a user that has the **MODIFY** privilege.
 If the caller is updating the owner, they must also have the **MANAGE** privilege.

API scopes: unity-catalog

## Path parameters

- `external_metadata` (object, optional)
  - `name` (string, optional)
    Name of the external metadata object.
    Example: `security_events_stream`
  - `system_type` (string, optional)
    Type of external system.
    Possible values: `SYSTEM_TYPE_UNSPECIFIED`, `OTHER`, `TABLEAU`, `POWER_BI`, `LOOKER`, `KAFKA`, `SAP`, `ORACLE`, `SALESFORCE`, `WORKDAY`, `MYSQL`, `POSTGRESQL`, `MICROSOFT_SQL_SERVER`, `SERVICENOW`, `AMAZON_REDSHIFT`, `AZURE_SYNAPSE`, `SNOWFLAKE`, `GOOGLE_BIGQUERY`, `MICROSOFT_FABRIC`, `MONGODB`, `TERADATA`, `CONFLUENT`, `DATABRICKS`, `STREAM_NATIVE`
  - `entity_type` (string, optional)
    Type of entity within the external system.
    Example: `Topic`
  - `url` (string, optional)
    URL associated with the external metadata object.
    Example: `https://kafka.com/12345`
  - `description` (string, optional)
    User-provided free-form text description.
    Example: `A stream of security related events in the critical services.`
  - `columns` (array of string, optional)
    List of columns associated with the external metadata object.
  - `properties` (object, optional)
    A map of key-value properties attached to the external metadata object.
  - `owner` (string, optional)
    Owner of the external metadata object.
    Example: `data-team@company.com`
  - `metastore_id` (string, optional)
    Unique identifier of parent metastore.
  - `create_time` (string, optional)
    Time at which this external metadata object was created.
  - `created_by` (string, optional)
    Username of external metadata object creator.
  - `update_time` (string, optional)
    Time at which this external metadata object was last modified.
  - `updated_by` (string, optional)
    Username of user who last modified external metadata object.
  - `id` (string, optional)
    Unique identifier of the external metadata object.
    Example: `12345678-abcd-4ef5-9012-3456789abcdf`

## Query parameters

- `update_mask` (string, optional)

## Returns

Returns the ExternalMetadata object.

## Request

```json
{
  "columns": [
    "type",
    "message",
    "details",
    "date",
    "time",
    "severity"
  ],
  "description": "Updated stream of security related events in the critical services.",
  "entity_type": "Topic",
  "name": "security_events_stream",
  "properties": {
    "compression.enabled": "true",
    "compression.format": "lz4",
    "topic": "prod.security.events.raw"
  },
  "system_type": "KAFKA",
  "update_mask": "url,description,columns,properties",
  "url": "https://kafka.com/12345-updated"
}
```

## Response

```json
{
  "columns": [
    "type",
    "message",
    "details",
    "date",
    "time",
    "severity"
  ],
  "create_time": 1715802661000,
  "created_by": "john.doe@company.com",
  "description": "Updated stream of security related events in the critical services.",
  "entity_type": "Topic",
  "id": "12345678-abcd-4ef5-9012-3456789abcdf",
  "metastore_id": "12345678-abcd-4ef5-9012-3456789abcde",
  "name": "security_events_stream",
  "owner": "data-team@company.com",
  "properties": {
    "compression.enabled": "true",
    "compression.format": "lz4",
    "topic": "prod.security.events.raw"
  },
  "system_type": "KAFKA",
  "update_time": 1717394661000,
  "updated_by": "jane.smith@company.com",
  "url": "https://kafka.com/12345-updated"
}
```

